com.intellectualcrafters.plot.object

## Class PlotWorld

- java.lang.Object
- - com.intellectualcrafters.plot.object.PlotWorld

- Direct Known Subclasses:
    DefaultPlotWorld

      public abstract class PlotWorld
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `AUTO_MERGE`
    `static boolean` | `AUTO_MERGE_DEFAULT`
    `static java.util.ArrayList<org.bukkit.Material>` | `BLOCKS`
    `java.util.List<java.lang.String>` | `DEFAULT_FLAGS`
    `static java.util.List<java.lang.String>` | `DEFAULT_FLAGS_DEFAULT`
    `double` | `MERGE_PRICE`
    `static double` | `MERGE_PRICE_DEFAULT`
    `boolean` | `MOB_SPAWNING`
    `static boolean` | `MOB_SPAWNING_DEFAULT`
    `org.bukkit.block.Biome` | `PLOT_BIOME`
    `static org.bukkit.block.Biome` | `PLOT_BIOME_DEFAULT`
    `boolean` | `PLOT_CHAT`
    `static boolean` | `PLOT_CHAT_DEFAULT`
    `double` | `PLOT_PRICE`
    `static double` | `PLOT_PRICE_DEFAULT`
    `boolean` | `PVE`
    `static boolean` | `PVE_DEFAULT`
    `boolean` | `PVP`
    `static boolean` | `PVP_DEFAULT`
    `boolean` | `SCHEMATIC_CLAIM_SPECIFY`
    `static boolean` | `SCHEMATIC_CLAIM_SPECIFY_DEFAULT`
    `java.lang.String` | `SCHEMATIC_FILE`
    `static java.lang.String` | `SCHEMATIC_FILE_DEFAULT`
    `boolean` | `SCHEMATIC_ON_CLAIM`
    `static boolean` | `SCHEMATIC_ON_CLAIM_DEFAULT`
    `java.util.List<java.lang.String>` | `SCHEMATICS`
    `static java.util.List<java.lang.String>` | `SCHEMATICS_DEFAULT`
    `double` | `SELL_PRICE`
    `static double` | `SELL_PRICE_DEFAULT`
    `boolean` | `SPAWN_BREEDING`
    `static boolean` | `SPAWN_BREEDING_DEFAULT`
    `boolean` | `SPAWN_CUSTOM`
    `static boolean` | `SPAWN_CUSTOM_DEFAULT`
    `boolean` | `SPAWN_EGGS`
    `static boolean` | `SPAWN_EGGS_DEFAULT`
    `boolean` | `USE_ECONOMY`
    `static boolean` | `USE_ECONOMY_DEFAULT`
    `java.lang.String` | `worldname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotWorld(java.lang.String worldname)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ConfigurationNode[]` | `getSettingNodes()` Used for the /plot setup command Return null if you do not want to support this feature
    `abstract void` | `loadConfiguration(org.bukkit.configuration.ConfigurationSection config)`
    `void` | `loadDefaultConfiguration(org.bukkit.configuration.ConfigurationSection config)` When a world is created, the following method will be called for each
    `void` | `saveConfiguration(org.bukkit.configuration.ConfigurationSection config)` Saving core plotworld settings

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLOCKS

          public static java.util.ArrayList<org.bukkit.Material> BLOCKS

    - #### AUTO_MERGE_DEFAULT

          public static boolean AUTO_MERGE_DEFAULT

    - #### MOB_SPAWNING_DEFAULT

          public static boolean MOB_SPAWNING_DEFAULT

    - #### PLOT_BIOME_DEFAULT

          public static org.bukkit.block.Biome PLOT_BIOME_DEFAULT

    - #### PLOT_CHAT_DEFAULT

          public static boolean PLOT_CHAT_DEFAULT

    - #### SCHEMATIC_CLAIM_SPECIFY_DEFAULT

          public static boolean SCHEMATIC_CLAIM_SPECIFY_DEFAULT

    - #### SCHEMATIC_ON_CLAIM_DEFAULT

          public static boolean SCHEMATIC_ON_CLAIM_DEFAULT

    - #### SCHEMATIC_FILE_DEFAULT

          public static java.lang.String SCHEMATIC_FILE_DEFAULT

    - #### SCHEMATICS_DEFAULT

          public static java.util.List<java.lang.String> SCHEMATICS_DEFAULT

    - #### DEFAULT_FLAGS_DEFAULT

          public static java.util.List<java.lang.String> DEFAULT_FLAGS_DEFAULT

    - #### USE_ECONOMY_DEFAULT

          public static boolean USE_ECONOMY_DEFAULT

    - #### PLOT_PRICE_DEFAULT

          public static double PLOT_PRICE_DEFAULT

    - #### MERGE_PRICE_DEFAULT

          public static double MERGE_PRICE_DEFAULT

    - #### SELL_PRICE_DEFAULT

          public static double SELL_PRICE_DEFAULT

    - #### PVP_DEFAULT

          public static boolean PVP_DEFAULT

    - #### PVE_DEFAULT

          public static boolean PVE_DEFAULT

    - #### SPAWN_EGGS_DEFAULT

          public static boolean SPAWN_EGGS_DEFAULT

    - #### SPAWN_CUSTOM_DEFAULT

          public static boolean SPAWN_CUSTOM_DEFAULT

    - #### SPAWN_BREEDING_DEFAULT

          public static boolean SPAWN_BREEDING_DEFAULT

    - #### AUTO_MERGE

          public boolean AUTO_MERGE

    - #### MOB_SPAWNING

          public boolean MOB_SPAWNING

    - #### PLOT_BIOME

          public org.bukkit.block.Biome PLOT_BIOME

    - #### PLOT_CHAT

          public boolean PLOT_CHAT

    - #### SCHEMATIC_CLAIM_SPECIFY

          public boolean SCHEMATIC_CLAIM_SPECIFY

    - #### SCHEMATIC_ON_CLAIM

          public boolean SCHEMATIC_ON_CLAIM

    - #### SCHEMATIC_FILE

          public java.lang.String SCHEMATIC_FILE

    - #### SCHEMATICS

          public java.util.List<java.lang.String> SCHEMATICS

    - #### DEFAULT_FLAGS

          public java.util.List<java.lang.String> DEFAULT_FLAGS

    - #### USE_ECONOMY

          public boolean USE_ECONOMY

    - #### PLOT_PRICE

          public double PLOT_PRICE

    - #### MERGE_PRICE

          public double MERGE_PRICE

    - #### SELL_PRICE

          public double SELL_PRICE

    - #### PVP

          public boolean PVP

    - #### PVE

          public boolean PVE

    - #### SPAWN_EGGS

          public boolean SPAWN_EGGS

    - #### SPAWN_CUSTOM

          public boolean SPAWN_CUSTOM

    - #### SPAWN_BREEDING

          public boolean SPAWN_BREEDING

    - #### worldname

          public java.lang.String worldname

  - ### Constructor Detail

    - #### PlotWorld

          public PlotWorld(java.lang.String worldname)

  - ### Method Detail

    - #### loadDefaultConfiguration

          public void loadDefaultConfiguration(org.bukkit.configuration.ConfigurationSection config)

      When a world is created, the following method will be called for each
      Parameters:
        `config` -

    - #### loadConfiguration

          public abstract void loadConfiguration(org.bukkit.configuration.ConfigurationSection config)

    - #### saveConfiguration

          public void saveConfiguration(org.bukkit.configuration.ConfigurationSection config)

      Saving core plotworld settings
      Parameters:
        `config` -

    - #### getSettingNodes

          public abstract ConfigurationNode[] getSettingNodes()

      Used for the /plot setup command Return null if you do not want to support this feature
      Returns:
        ConfigurationNode[]